# Uses of Class
serp.bytecode.BCField

Packages that use BCField
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of BCField in serp.bytecode

Methods in serp.bytecode that return BCField
Modifier and Type
Method
Description
`BCField`
BCClass.`declareField(String name, Class type)`
Add a field to this class.
`BCField`
BCClass.`declareField(String name, String type)`
Add a field to this class.
`BCField`
BCClass.`declareField(String name, BCClass type)`
Add a field to this class.
`BCField`
BCClass.`declareField(BCField field)`
Import the information from given field as a new field in this class.
`BCField`
BCClass.`getDeclaredField(String name)`
Return the declared field with the given name, or null if none.
`BCField[]`
BCClass.`getDeclaredFields()`
Return all the declared fields of this class, or an empty array if none.
`BCField`
ConstantValue.`getField()`
Return the owning field.
`BCField`
FieldInstruction.`getField()`
Return the field this instruction operates on, or null if not set.
`BCField[]`
BCClass.`getFields()`
Return all the fields of this class, including those of all superclasses, or an empty array if none.
`BCField[]`
BCClass.`getFields(String name)`
Return all fields with the given name, including those of all superclasses, or an empty array if none.
Methods in serp.bytecode with parameters of type BCField
Modifier and Type
Method
Description
`BCField`
BCClass.`declareField(BCField field)`
Import the information from given field as a new field in this class.
`boolean`
BCClass.`removeDeclaredField(BCField field)`
Remove a field from this class.
`void`
BCClass.`setDeclaredFields(BCField[] fields)`
Set the fields for this class; this method is useful for importing all fields from another class.
`FieldInstruction`
FieldInstruction.`setField(BCField field)`
Set the field this instruction operates on.

## Uses of BCField in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type BCField
Modifier and Type
Method
Description
`void`
BCVisitor.`enterBCField(BCField obj)`
`void`
PrettyPrintVisitor.`enterBCField(BCField obj)`
`void`
BCVisitor.`exitBCField(BCField obj)`
`void`
PrettyPrintVisitor.`exitBCField(BCField obj)`